[arch-commits] Commit in grilo-plugins/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan Steffens heftig at archlinux.org
Tue Jul 16 04:39:27 UTC 2019


    Date: Tuesday, July 16, 2019 @ 04:39:27
  Author: heftig
Revision: 358029

archrelease: copy trunk to extra-x86_64

Added:
  grilo-plugins/repos/extra-x86_64/PKGBUILD
    (from rev 358028, grilo-plugins/trunk/PKGBUILD)
Deleted:
  grilo-plugins/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   84 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 42 insertions(+), 42 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-07-16 04:39:17 UTC (rev 358028)
+++ PKGBUILD	2019-07-16 04:39:27 UTC (rev 358029)
@@ -1,42 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgname=grilo-plugins
-pkgver=0.3.8
-pkgrel=1
-pkgdesc="A collection of plugins for the Grilo framework"
-url="https://gitlab.gnome.org/GNOME/grilo-plugins"
-arch=(x86_64)
-license=(LGPL)
-depends=(grilo lua libmediaart libgdata tracker gom libdmapsharing chromaprint gst-plugins-bad
-         gmime3)
-makedepends=(git meson gperf yelp-tools)
-checkdepends=(gst-plugins-good gst-plugins-base)
-optdepends=('dleyna-server: DLNA plugin'
-            'tracker-miners: Tracker plugin')
-groups=(gnome)
-_commit=29dc976e010bfff6d0bfd92aae886944e8e708b8  # tags/grilo-plugins-0.3.8^0
-source=("git+https://gitlab.gnome.org/GNOME/grilo-plugins.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^grilo-plugins-//;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  arch-meson $pkgname build
-  ninja -C build
-}
-
-check() {
-  # Unreliable tests using websites...
-  meson test -C build || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-}

Copied: grilo-plugins/repos/extra-x86_64/PKGBUILD (from rev 358028, grilo-plugins/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-07-16 04:39:27 UTC (rev 358029)
@@ -0,0 +1,42 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=grilo-plugins
+pkgver=0.3.9
+pkgrel=1
+pkgdesc="A collection of plugins for the Grilo framework"
+url="https://gitlab.gnome.org/GNOME/grilo-plugins"
+arch=(x86_64)
+license=(LGPL)
+depends=(grilo lua libmediaart libgdata tracker gom libdmapsharing chromaprint gst-plugins-bad
+         gmime3)
+makedepends=(git meson gperf yelp-tools)
+checkdepends=(gst-plugins-good gst-plugins-base)
+optdepends=('dleyna-server: DLNA plugin'
+            'tracker-miners: Tracker plugin')
+groups=(gnome)
+_commit=0f3bce0fcf8b157ef0e6bdcc02c0fbb92f5a26b9  # tags/grilo-plugins-0.3.9^0
+source=("git+https://gitlab.gnome.org/GNOME/grilo-plugins.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^grilo-plugins-//;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  arch-meson $pkgname build
+  ninja -C build
+}
+
+check() {
+  # Unreliable tests using websites...
+  meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}


More information about the arch-commits mailing list